#!/bin/bash

S_DIR="batch-jar/src/main/resources/META-INF/services"
S_FILE="org.jberet.spi.JobXmlResolver"
CONTENT="org.jberet.tools.MetaInfBatchJobsJobXmlResolver"

function print_help () {
  echo "Usage $0 [insert|delete]"
  echo "'insert' will create a file $S_DIR/$S_FILE with $CONTENT"
  echo "'delete' will delete a file $S_DIR/$S_FILE"
}

function insert () {
  mkdir -p $S_DIR
  [[ $? == 0 ]] && echo "A directory $S_DIR was created"
  touch $S_DIR/$S_FILE
  [[ $? == 0 ]] && echo "A file $S_DIR/$S_FILE was created"
  echo $CONTENT > $S_DIR/$S_FILE
  [[ $? == 0 ]] && echo "$CONTENT was added to $S_DIR/$S_FILE"
}

function delete () {
  rm -f $S_DIR/$S_FILE
  [[ $? == 0 ]] && echo "A file $S_DIR/$S_FILE was deleted"
  rmdir $S_DIR
  [[ $? == 0 ]] && echo "A directory $S_DIR was deleted"
}

case "$1" in
    -h | --help)
        print_help
        exit 0
        ;;
    'insert')
        insert
        ;;
    'delete')
        delete
        ;;
    *)
        print_help
        exit 1
        ;;
esac
